/******************************************************************************************
 * Repository: Conhos vscode
 * File name: constants.ts
 * Author: Sergey Kolmiller
 * Email: <kolserdav@conhos.ru>
 * License: MIT
 * License text: See LICENSE file
 * Copyright: kolserdav, All rights reserved (c)
 * Create Date: Tue Sep 10 2024 16:42:55 GMT+0700 (Krasnoyarsk Standard Time)
 ******************************************************************************************/
import type { GitType, GitUntrackedPolicy, Port, PortHTTPVersion, PortOnOff, PortType, RequiredDependsOn, ServiceType, ServiceTypeCommon, ServiceTypeCommonPublic, ServiceTypeCustom } from '../index';
export declare const IS_DEV: boolean;
export declare const PROTOCOL_CLI = "cli";
export declare const PORT_MAX = 65535;
export declare const DOMAIN_MAX_LENGTH = 77;
export declare const PROJECT_NAME_LENGTH_MAX = 14;
export declare const SERVICE_NAME_LENGTH_MAX = 14;
export declare const REPLICAS_MAX = 10;
export declare const VOLUME_LOCAL_REGEX: RegExp;
export declare const VOLUME_LOCAL_POSTFIX_REGEX: RegExp;
export declare const VOLUME_REMOTE_REGEX: RegExp;
export declare const VOLUME_REMOTE_PREFIX_REGEX: RegExp;
export declare const SECONDS_REGEX: RegExp;
export declare const VOLUME_UPLOAD_MAX_SIZE = 100000;
export declare const ERROR_LOG_PREFIX = "error:";
export declare const BUFFER_SIZE_MAX = 512;
export declare const CLIENT_BODY_SIZE_MAX = 16;
export declare const ALLOWED_HTTP_VERSIONS: PortHTTPVersion[];
export declare const ALLOWED_ON_OFFS: PortOnOff[];
export declare const PWD_DEFAULT = "./";
export declare const COUNT_OF_VOLUMES_MAX = 10;
export declare const ENVIRONMENT_SWITCH: {
    redis: {
        password: string;
    };
    mysql: {
        rootPassword: string;
    };
    mariadb: {
        rootPassword: string;
    };
};
export declare const ENVIRONMENT_REQUIRED_COMMON: Record<ServiceTypeCommon, string[]>;
export declare const SERVICES_CUSTOM: ServiceTypeCustom[];
export declare const SERVICES_COMMON: ServiceTypeCommon[];
export declare const SERVICES_COMMON_PUBLIC: ServiceTypeCommonPublic[];
export declare const REQUIRED_DEPENDS_ON: RequiredDependsOn;
export declare const SERVICE_TYPES: ServiceType[];
export declare const GIT_UNTRACKED_POLICY: Record<GitUntrackedPolicy, GitUntrackedPolicy>;
export declare const GIT_TYPES: GitType[];
export declare const WEBSOCKET_ADDRESS: string;
export declare const SERVER_ADDRESS: string;
export declare const HEADER_CONN_ID = "conn-id";
export declare const HEADER_TARBALL = "tar";
export declare const UPLOAD_CHUNK_DELIMITER = "<[rn]>";
export declare const UPLOADED_FILE_MESSAGE = "<[rn]>Uploaded";
export declare const LOG_END_MESSAGE = "";
export declare const UPLOAD_REQUEST_TIMEOUT: number;
export declare const LOGS_REQUEST_TIMEOUT: number;
export declare const REGEXP_IS_DOMAIN: RegExp;
export declare const PORT_DEFAULT: Port;
export declare enum ServerApi {
    checkCustomImage = "/v1/docker-hub-check-image"
}
export declare const PORT_TYPES: PortType[];
export declare const SOURCE = "conhos";
export declare const YAML_ORIGINAL_URL_RAW = "https://raw.githubusercontent.com/redhat-developer/vscode-yaml/main/syntaxes/yaml.tmLanguage.json";
export declare const YAML_ORIGINAL_URL = "https://github.com/redhat-developer/vscode-yaml/blob/main/syntaxes/yaml.tmLanguage.json";
